function [L,U]=fatt_lu(A);
%[L,U]=fatt_lu(A)
%calcola la fattorizzazione LU di una matrice quadrata A

n=size(A,1);

U=zeros(n); L=eye(n); %all'inizio U e zero e L e' l'identita'
for riga=1:n
    for colonna=1:n

        somma=L(riga,1:colonna-1)*U(1:colonna-1,colonna); %somma che compare nel metodo diretto
        if (colonna<riga)
            L(riga,colonna)=(A(riga,colonna)-somma)/U(colonna,colonna);
        else
            U(riga,colonna)=(A(riga,colonna)-somma)/L(riga,riga);
        end

    end
end
